Security Enhanced Linux Reference Policy

# Layer: system

## Module: application

Interfaces

### Description:

Policy for user executable applications.

### Interfaces:

application_domain( domain , entry_point )

##### Summary

Create a domain for applications.

##### Description

Create a domain for applications. Typically these are programs that are run interactively.

The types will be made usable as a domain and file, making calls to domain_type() and files_type() redundant.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as an application domain.
entry_point | Type of the program to be used as an entry point to this domain.

application_dontaudit_sigkill( domain )

##### Summary

Do not audit attempts to send kill signals to all application domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

application_dontaudit_signal( domain )

##### Summary

Do not audit attempts to send general signals to all application domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

application_dontaudit_signull( domain )

##### Summary

Do not audit attempts to send null signals to all application domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

application_exec( type )

##### Summary

Execute application executables in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
type | Domain allowed access.

application_exec_all( domain )

##### Summary

Execute all executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

application_executable_file( type )

##### Summary

Make the specified type usable for files that are executables, such as binary programs. This does not include shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
type | Type to be used for files.

application_signal( domain )

##### Summary

Send general signals to all application domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

application_signull( domain )

##### Summary

Send null signals to all application domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

application_type( type )

##### Summary

Make the specified type usable as an application domain.

##### Parameters

Parameter: | Description:
--- | ---
type | Type to be used as a domain type.

Return